Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  toggle FILLMODE als lisp?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   toggle FILLMODE als lisp? (598 mal gelesen)
nena23
Mitglied
Montag bis Freitag, ganzen Tag lang


Sehen Sie sich das Profil von nena23 an!   Senden Sie eine Private Message an nena23  Schreiben Sie einen Gästebucheintrag für nena23

Beiträge: 457
Registriert: 25.01.2008

win 7 pro 64bit, immer aktuell
Acad Architecture 2013/2017, fast immer aktuell

erstellt am: 17. Feb. 2016 16:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich leide auch immer extrem unter der Nichtgreifbarkeit durch Fenster/Kreuzen von Objekten wenn darunter eine Solidschraff liegt. Nicht mal gesperrte Layer helfen. Permanent hat man die am Wickel (aber versuch mal ein MATCHPROP auf eine Solidschraff, da klickt man sich tot...)

http://forum.cad.de/foren/ubb/Forum37/HTML/005074.shtml
Bei dem Beitrag oben hat Runkelrübe mal den code zum toggeln von FILLMODE für ein Knöpfchen gemacht. Ich wollte das aber gerne als lisp und dann über Tastatur.

(defun c:fm () (setvar  "fillmode" (if (/= 1 (getvar "fillmode"))(+ (getvar "fillmode") 1)0));regen

Dachte so gehts. Tuts aber nicht. Habe halt schwere Lisplegasthenie.

Was fehlt/ist falsch?

Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 17. Feb. 2016 16:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

(setvar "FILLMODE"(- 1 (getvar "FILLMODE")))

oder als BEFEHL
(defun c:FILLMODESWITCH()(setvar "FILLMODE"(- 1 (getvar "FILLMODE"))))

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 17. Feb. 2016 16:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

Zitat:

(defun c:fm () (setvar  "fillmode" (if (/= 1 (getvar "fillmode"))(+ (getvar "fillmode") 1)0));regen

Was fehlt/ist falsch?
[/i]


Seit wann steht in Lisp irgendwann mal was "außerhalb einer Klammer"? 

(defun c:fm ()
  (setvar  "fillmode" (if (/= 1 (getvar "fillmode"))(+ (getvar "fillmode") 1)0))
  (command "_.regen")
  (princ)
)

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Feb. 2016 16:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

Probiers mal so:

(defun c:fm ()
  (setvar "fillmode"
  (if (/= 1 (getvar "fillmode"))
    (+ (getvar "fillmode") 1)
    0
  )
  )
  ;(command "_regenall")
)

(wenn regen erforderlich, nimm das Semikolon weg)

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nena23
Mitglied
Montag bis Freitag, ganzen Tag lang


Sehen Sie sich das Profil von nena23 an!   Senden Sie eine Private Message an nena23  Schreiben Sie einen Gästebucheintrag für nena23

Beiträge: 457
Registriert: 25.01.2008

win 7 pro 64bit, immer aktuell
Acad Architecture 2013/2017, fast immer aktuell

erstellt am: 17. Feb. 2016 16:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Supi, funkt 1a!
Danke.

Habe jetzt den code von cadffm genommen.
Gehen wahrscheinlich alle
Aber ich musste eine Entscheidung treffen...

Dirk

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 17. Feb. 2016 16:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

... oder noch kürzer, da "fillmode" nur 1 oder 0 sein kann

(setvar "fillmode" (if (/= 1 (getvar "fillmode")) 1 0))

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 17. Feb. 2016 16:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

Ich distanziere mich von dem Code, ich habe nur deine Zeile angepasst! 
Wenn man es schön haben will, dann so wie CADmium es zeigt, allerdings hat er das Regen im Anschluß rationalisiert, müsse also noch ergänzt werden.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Feb. 2016 17:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:
Ich distanziere mich von dem Code,

Warum? (Oder habe ich jetzt den Schuß nicht gehört?)
Bei mir sehen 1/0-Toggles eigentlich immer so wie Thomas' Code aus. (Und oben habe ich mich auch nur auf die Reparatur des gegebenen Codes beschränkt)

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 17. Feb. 2016 17:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:
Warum?

Na eben weil er gaaanz furchtbar ist (und keiner hat dich gemeint!?) 

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 17. Feb. 2016 17:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für nena23 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:

Na eben weil er gaaanz furchtbar ist 

Jetzt nach dem 10ten Mal lesen merke ich erst, daß ich Deine Bemerkung völlig falsch interpretiert habe.

Alles ist gut 


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz